# /etc/named.conf

# basic named(bind) startup configuration for lugbe.net


options {
                directory  "/var/named";
                pid-file   "/var/named/named.pid";
		datasize default;
		stacksize default;
		coresize default;
		files unlimited;
		recursion yes;
		auth-nxdomain yes;

		forwarders { 147.87.1.1; }; # the biel school dns
		query-source port 53;	
		
	        transfers-in     10;
          };

logging {
                category lame-servers { null; };
          };


######### Master Zones #######################

zone "." in {					# define root servers to contact
                type hint;			# in case our forwarder fails
                file "root.hints";
          };

zone "localhost" in {				# necessary for local traffic
                type master;
                file "localhost.zone";
		allow-update { none; };   
	  };
zone "0.0.127.in-addr.arpa" in {		# necessary for local traffic
                type master;
                file "0.0.127.zone";
		allow-update { none; };   
	  };

zone "lugbe.net" in {
		type master;			# my role
		file "lugbe.net.zone";		# file name relative to main directory
		allow-transfer { none; };	# no zone transfers
		allow-update { none; };		# no dynamic updates
		allow-query { any; };		# anyone may query
		notify yes;			# senseless, since there is no slave
	};
zone "1.168.192.in-addr.arpa" in {
		type master;
		file "1.168.192.zone";	
		allow-update { none; };	
		allow-query { any; };
		allow-transfer { none; };
		notify yes;
	};
